Уголок новичка
   353

ошибка при обновлении

При обновлении системы выдает ошибку
Внимание: libsystemd: установленная версия (239.303-1) новее, чем в core (239.6-2)
Внимание: systemd: установленная версия (239.303-1) новее, чем в core (239.6-2)
Ошибка: не удалось открыть файл /var/lib/pacman/local/ebtables-2.0.10_4-7/desc: Нет такого файла или каталога

Синхронизация баз данных пакетов…
Запуск полного обновления системы…
Внимание: libsystemd: установленная версия (239.303-1) новее, чем в core (239.6-2)
Внимание: systemd: установленная версия (239.303-1) новее, чем в core (239.6-2)
Ошибка: не удалось открыть файл /var/lib/pacman/local/ebtables-2.0.10_4-7/desc: Нет такого файла или каталога
Разрешение зависимостей…
Проверка на взаимные конфликты…
Проверка связки ключей…
Проверка целостности…
Загрузка файлов пакетов…
Проверка файлов на конфликты…
Ошибка завершения транзакции:
конфликтующие файлы:
kio-extras: /usr/lib/qt/plugins/opendocumentthumbnail.so уже существует в файловой системе
kio-extras: /usr/share/kservices5/opendocumentthumbnail.desktop уже существует в файловой системе
Пробовал:
sudo rm -r /etc/pacman.d/gnupg
sudo pacman -Sy gnupg archlinux-keyring manjaro-keyring
sudo pacman-key --init
sudo pacman-key --populate archlinux manjaro
sudo pacman-key --refresh-keys
sudo pacman -Sc

Не помогло. подскажите, что делать.

13 комментариев

avatar
Так удалите существующие файлы.
0
avatar
Внимание: libsystemd: установленная версия (239.303-1) новее, чем в core (239.6-2)
Внимание: systemd: установленная версия (239.303-1) новее, чем в core (239.6-2)
pacman -Suuyy

Ошибка: не удалось открыть файл /var/lib/pacman/local/ebtables-2.0.10_4-7/desc: Нет такого файла или каталога
Попробуйте пакманий кэш почистить.
Ошибка завершения транзакции:
конфликтующие файлы:
kio-extras: /usr/lib/qt/plugins/opendocumentthumbnail.so уже существует в файловой системе
kio-extras: /usr/share/kservices5/opendocumentthumbnail.desktop уже существует в файловой системе
1. Удалить kio-extras.
2. Поставить его обратно.
Пробовал:
sudo rm -r /etc/pacman.d/gnupg
sudo pacman -Sy gnupg archlinux-keyring manjaro-keyring
sudo pacman-key --init
sudo pacman-key --populate archlinux manjaro
sudo pacman-key --refresh-keys
sudo pacman -Sc

Не помогло. подскажите, что делать.
Так и не должно. В выхлопе ни слова ругани на ключи.
0
avatar
home@home-pc ~]$ sudo pacman -R kio-extras
[sudo] пароль для home:
проверка зависимостей…
ошибка: не удалось открыть файл /var/lib/pacman/local/ebtables-2.0.10_4-7/desc: Нет такого файла или каталога
ошибка: не удалось подготовить транзакцию (не удалось удовлетворить зависимости)
:: dolphin: удаление kio-extras ломает зависимость 'kio-extras'

не удаляется
Последний раз редактировалось
0
avatar
Может я и не прав но обновление если вы хотите нормально поставить то pacman -Syyu сам я пользуюсь blackarch
Последний раз редактировалось
0
avatar
kio-extras: /usr/lib/qt/plugins/opendocumentthumbnail.so уже существует в файловой системе
kio-extras: /usr/share/kservices5/opendocumentthumbnail.desktop уже существует в файловой системе
посмотрите какому пакету принадлежат эти файлы
pacman -Qo /usr/lib/qt/plugins/opendocumentthumbnail.so

затем удалите этот пакет и повторите обновление, если они не принадлежат никакому пакету, просто удалите их и повторите обновление
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
Можно просто переименовать эти файлы, обновится и сравнить.Думаю ничего криминального там нет, просто они уже есть в системе.
0
avatar
[home@home-pc ~]$ sudo pacman -Qo /usr/lib/qt/plugins/opendocumentthumbnail.so
[sudo] пароль для home:
ошибка: не удалось открыть файл /var/lib/pacman/local/ebtables-2.0.10_4-7/files: Нет такого файла или каталога
/usr/lib/qt/plugins/opendocumentthumbnail.so принадлежит kde-thumbnailer-odf 1.0.0-2
[home@home-pc ~]$
0
avatar
home@home-pc ~]$ sudo pacman -R kde-thumbnailer-odf 1.0.0-2
ошибка: не удалось открыть файл /var/lib/pacman/local/ebtables-2.0.10_4-7/desc: Нет такого файла или каталога
ошибка: не найдена цель: 1.0.0-2
0
avatar
sudo pacman -R kde-thumbnailer-odf

а так?
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
sudo pacman -R kde-thumbnailer-odf
Огромное спасибо, после этой команды все обновилось.
Теперь я тоже буду утверждать, что здесь самое лучшее сообщество
+2
avatar
ошибка: не удалось открыть файл /var/lib/pacman/local/ebtables-2.0.10_4-7/desc: Нет такого файла или каталога
а эта ошибка тоже ушла?
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
avatar
этой ошибке больше нету
0
avatar
этой ошибке больше нету
добавь в заголовке отметку [Решено], а то люди продолжают отвечать)
?
Отправка специалистом технической поддержки ссылки на руководство по эксплуатации и другую документацию, не является отказом в предоставлении поддержки.
bash.org
0
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.